Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3197)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3198)
@@ -41,7 +41,6 @@
 import java.util.Set;
 
 import org.eclipse.osgi.util.NLS;
-import org.rosuda.REngine.REXPMismatchException;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.core.functions.Line;
 import org.txm.cooccurrence.core.functions.comparators.CLineComparator;
@@ -57,15 +56,12 @@
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.clientExceptions.UnexpectedAnswerException;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
-import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
-import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.searchengine.cqp.corpus.VirtualProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.specificities.core.statsengine.r.function.SpecificitiesR;
 import org.txm.statsengine.core.StatException;
@@ -76,13 +72,135 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Compute a cooccurrence from a concordance.
+ * Compute a cooccurrence from a pivot query.
  *
  * @author mdecorde
  * 
  */
 public class Cooccurrence extends TXMResult {
 
+	/**
+	 * The Class CLine.
+	 */
+	public class CLine {
+
+		/** The cooc. */
+		Cooccurrence cooc;
+
+		/** The distmoyenne. */
+		public float distmoyenne;
+
+		/** The freq. */
+		public int freq;
+
+		/** The id. */
+		public int id;
+
+		/** The mode. */
+		public long mode;
+
+		/** The nbocc. */
+		public int nbocc;
+
+		/** The occ. */
+		public String occ;
+
+		/** The props. */
+		public List<String> props;
+
+		/** The score. */
+		public double score;
+
+		/**
+		 * Instantiates a new c line.
+		 *
+		 * @param cooc the cooc
+		 * @param occ the occ
+		 * @param props the props
+		 * @param nbocc the nbocc
+		 * @param freq the freq
+		 * @param score the score
+		 * @param distmoyenne the distmoyenne
+		 * @param mode the mode
+		 */
+		public CLine(Cooccurrence cooc, String occ, List<String> props,
+				int nbocc, int freq, double score, Float distmoyenne, long mode) {
+			this.occ = occ;
+			this.props = props;
+			this.freq = freq;
+			this.nbocc = nbocc;
+			this.score = score;
+			this.distmoyenne = distmoyenne;
+			this.mode = mode;
+			this.cooc = cooc;
+		}
+
+		/**
+		 * Adds the txt sep.
+		 *
+		 * @param str the str
+		 * @param sep the sep
+		 * @return the string
+		 */
+		private String addTxtSep(String str, String sep) {
+			return sep + str.replace(sep, sep + sep) + sep;
+		}
+
+		/**
+		 * Gets the cooc.
+		 *
+		 * @return the cooc
+		 */
+		public Cooccurrence getCooc() {
+			return cooc;
+		}
+
+		/**
+		 * Resume.
+		 *
+		 * @param colseparator the colseparator
+		 * @param txtseparator the txtseparator
+		 * @return the string
+		 */
+		public String resume(String colseparator, String txtseparator) {
+			return addTxtSep("" + occ, txtseparator) //$NON-NLS-1$
+					+ colseparator + freq + colseparator + nbocc + colseparator + score + colseparator + distmoyenne;
+		}
+
+		/**
+		 * Sets the count and dist.
+		 *
+		 * @param count the count
+		 * @param dist the dist
+		 */
+		public void setCountAndDist(int count, int dist) {
+			this.nbocc = count;
+			this.distmoyenne = dist;
+		}
+
+		/**
+		 * Sets the freq.
+		 *
+		 * @param freq the new freq
+		 */
+		public void setFreq(int freq) {
+			this.freq = freq;
+		}
+
+		/**
+		 * Sets the score.
+		 */
+		public void setScore() {// FB == freq, R = nbocc
+			this.score = (this.nbocc + this.freq + this.distmoyenne);
+		}
+
+		@Override
+		public String toString() {
+			return occ + CooccurrenceCoreMessages.fColon + freq + CooccurrenceCoreMessages.occColon + nbocc + CooccurrenceCoreMessages.scoreColon + score + CooccurrenceCoreMessages.meanDistColon
+					+ distmoyenne + CooccurrenceCoreMessages.propertiesColon + props;
+		}
+	}
+
 	/** The nocooc. */
 	protected static int nocooc = 1;
 
@@ -92,7 +210,7 @@
 	/** The allsignaturesstr. */
 	private HashMap<Integer, String> allsignaturesstr;
 
-	/** The anticontextquery. */
+	/** The anti-context query used to trim the nearest contexts cooccurrents. */
 	private CQLQuery anticontextquery;
 
 	private boolean buildLexicalTableWithCooccurrents;
@@ -243,8 +361,6 @@
 		super(parametersNodePath);
 	}
 
-
-
 	@Override
 	protected boolean _compute(TXMProgressMonitor monitor) throws CqiClientException, IOException, CqiServerError, StatException {
 		// System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+limit+" "+maxLeft+" "+minLeft+" "+minRight+" "+maxRight+" "+minFreq+" "+minCof+" "+minScore+" "+includeXpivot);
@@ -307,26 +423,28 @@
 		return true;
 	}
 
+	/**
+	 * To txt.
+	 *
+	 * @param outfile the outfile
+	 * @param encoding the encoding
+	 * @param colseparator the colseparator
+	 * @param txtseparator the txtseparator
+	 * @return true, if successful
+	 */
 	@Override
-	public boolean loadParameters() throws CqiClientException {
-		pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES));
-		pQuery = new CQLQuery(this.getStringParameterValue(TXMPreferences.QUERY));
-		pStructuralUnitLimit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT));
-		return true;
-	}
-
-	@Override
-	public boolean saveParameters() {
-		this.saveParameter(TXMPreferences.UNIT_PROPERTIES, Property.propertiesToString(this.pProperties));
-
-		if (pQuery != null) {
-			this.saveParameter(TXMPreferences.QUERY, pQuery.getQueryString());
+	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
+		try {
+			// NK: writer declared as class attribute to perform a clean if the operation is interrupted
+			this.writer = new BufferedWriter(new OutputStreamWriter(
+					new FileOutputStream(outfile), encoding));
+			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
+			toTxt(writer, colseparator, txtseparator);
 		}
-
-		if (pStructuralUnitLimit != null) {
-			this.saveParameter(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT, this.pStructuralUnitLimit.getName());
+		catch (Exception e) {
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, e));
+			return false;
 		}
-
 		return true;
 	}
 
@@ -493,68 +611,63 @@
 	// }
 
 	/**
-	 * Gets the corpus.
+	 * Creates a CQL query string from the specified lines.
 	 *
-	 * @return the corpus
+	 * @param lines
+	 * @return the query
 	 */
-	public CQPCorpus getCorpus() {
-		return (CQPCorpus) this.getParent();
-	}
+	public String createQuery(List<CLine> lines) {
 
-	@Override
-	public String getDetails() {
-		Object[] params = new Object[] { this.getParent(), this.pQuery, this.pProperties, this.pStructuralUnitLimit, (this.pMinLeftContextSize - 1), (this.pMaxLeftContextSize - 1),
-				(this.pMinRightContextSize - 1),
-				(this.pMaxRightContextSize - 1), this.pFminFilter, this.pFCoocFilter, this.pScoreMinFilter };
-		return NLS.bind(CooccurrenceCoreMessages.info_details, params);
-	}
-
-	@Override
-	public String getName() {
-		try {
-			return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+		if (this.getQuery().isEmpty()) {
+			return ""; //$NON-NLS-1$
 		}
-		catch (Exception e) {
-			return this.getSimpleName();
-		}
-	}
 
 
-	@Override
-	public String getSimpleName() {
-		if (this.pQuery != null && !this.pQuery.isEmpty()) {
-			StringBuffer output = new StringBuffer();
-			output.append(this.pQuery.asString());
-			output.append(WordProperty.asString(this.pProperties));
+		int nbProps = this.getProperties().size();
+		List<WordProperty> props = this.getProperties();
 
-			if (this.pMaxLeftContextSize > 0 && this.pMaxRightContextSize > 0) {
-				output.append(" " + (this.pMaxLeftContextSize - 1) + " " + (this.pMaxRightContextSize - 1)); //$NON-NLS-1$ //$NON-NLS-2$
+		String query = "@["; //$NON-NLS-1$
+		for (int p = 0; p < nbProps; p++) {
+
+			if (props.get(p) instanceof WordProperty) {
+				ArrayList<String> values = new ArrayList<String>();
+				for (int l = 0; l < lines.size(); l++) {
+					CLine line = lines.get(l);
+					String s = line.props.get(p);
+					values.add(s);
+				}
+				String test = ((WordProperty)props.get(p)).getCQLTest(values);
+				if (test != null) {
+					query += test;
+				}
 			}
-			output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter));
-			output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter));
-			output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter));
+			if (p < nbProps-1) {
+				query += " & "; //$NON-NLS-1$
+			}
+		}
+		query += "] "; //$NON-NLS-1$
 
-			// TODO: SJ: improve the hiding or display of value according to the default preferences values
-			// output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.F_MIN) + 1));
-			// output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.MIN_COUNT) + 1));
-			// output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter, CooccurrencePreferences.getInstance().getDouble(CooccurrencePreferences.MIN_SCORE) + 1));
+		int maxempan = Math.max(this.getMaxLeft(), this.getMaxRight());
+		if (this.getIncludeXPivot() && maxempan == 0) maxempan = 1;
 
+		String maxempanstr = "within " + maxempan + " "; //$NON-NLS-1$ //$NON-NLS-2$
+		if (this.getStructuralUnitLimit() != null) maxempanstr += this.getStructuralUnitLimit().getName();
 
-			return output.toString();
+
+		String pquery = CQLQuery.fixQuery(this.getQuery().getQueryString());
+		if (this.getMaxLeft() == 0) {
+			query = "" + pquery + " []* " + query + " " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
+		else if (this.getMaxRight() == 0) {
+			query = "" + query + " []* " + pquery + " " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		}
 		else {
-			return this.getEmptyName();
+			query = "(" + pquery + " []* " + query + ") | (" + query + " []* " + pquery + ") " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		}
-	}
 
-
-	@Override
-	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(CooccurrenceCoreMessages.cooccurrentsOfP0PropertieP1InTheP2Corpus, (this.pQuery != null?this.pQuery.asString():"<no query>"), WordProperty.asString(this.pProperties),
-				(this.pMaxLeftContextSize - 1), (this.pMaxRightContextSize - 1), this.pFminFilter, this.pFCoocFilter, this.pScoreMinFilter, this.getCorpus().getName());
+		return query;
 	}
 
-
 	@Override
 	public String getComputingDoneMessage() {
 		if (this.lines.isEmpty()) {
@@ -565,9 +678,33 @@
 		}
 	}
 
+	@Override
+	public String getComputingStartMessage() {
+		return TXMCoreMessages.bind(CooccurrenceCoreMessages.cooccurrentsOfP0PropertieP1InTheP2Corpus, (this.pQuery != null?this.pQuery.asString():"<no query>"), WordProperty.asString(this.pProperties),
+				(this.pMaxLeftContextSize - 1), (this.pMaxRightContextSize - 1), this.pFminFilter, this.pFCoocFilter, this.pScoreMinFilter, this.getCorpus().getName());
+	}
 
 
 	/**
+	 * Gets the corpus.
+	 *
+	 * @return the corpus
+	 */
+	public CQPCorpus getCorpus() {
+		return (CQPCorpus) this.getParent();
+	}
+
+
+	@Override
+	public String getDetails() {
+		Object[] params = new Object[] { this.getParent(), this.pQuery, this.pProperties, this.pStructuralUnitLimit, (this.pMinLeftContextSize - 1), (this.pMaxLeftContextSize - 1),
+				(this.pMinRightContextSize - 1),
+				(this.pMaxRightContextSize - 1), this.pFminFilter, this.pFCoocFilter, this.pScoreMinFilter };
+		return NLS.bind(CooccurrenceCoreMessages.info_details, params);
+	}
+
+
+	/**
 	 * Gets the fA.
 	 *
 	 * @return the fA
@@ -625,6 +762,16 @@
 		return pMinRightContextSize;
 	}
 
+	@Override
+	public String getName() {
+		try {
+			return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
+		}
+		catch (Exception e) {
+			return this.getSimpleName();
+		}
+	}
+
 	/**
 	 * Gets the lines.
 	 *
@@ -689,6 +836,38 @@
 	}
 
 
+	@Override
+	public String getResultType() {
+		return CooccurrenceCoreMessages.RESULT_TYPE;
+	}
+
+	@Override
+	public String getSimpleName() {
+		if (this.pQuery != null && !this.pQuery.isEmpty()) {
+			StringBuffer output = new StringBuffer();
+			output.append(this.pQuery.asString());
+			output.append(WordProperty.asString(this.pProperties));
+
+			if (this.pMaxLeftContextSize > 0 && this.pMaxRightContextSize > 0) {
+				output.append(" " + (this.pMaxLeftContextSize - 1) + " " + (this.pMaxRightContextSize - 1)); //$NON-NLS-1$ //$NON-NLS-2$
+			}
+			output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter));
+			output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter));
+			output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter));
+
+			// TODO: SJ: improve the hiding or display of value according to the default preferences values
+			// output.append(TXMCoreMessages.formatMinFilter(this.pFminFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.F_MIN) + 1));
+			// output.append(TXMCoreMessages.formatMinFilter(this.pFCoocFilter, CooccurrencePreferences.getInstance().getInt(CooccurrencePreferences.MIN_COUNT) + 1));
+			// output.append(TXMCoreMessages.formatMinFilter(this.pScoreMinFilter, CooccurrencePreferences.getInstance().getDouble(CooccurrencePreferences.MIN_SCORE) + 1));
+
+
+			return output.toString();
+		}
+		else {
+			return this.getEmptyName();
+		}
+	}
+
 	/**
 	 * Gets the structural unit limit.
 	 *
@@ -772,6 +951,14 @@
 		return false;
 	}
 
+	@Override
+	public boolean loadParameters() throws CqiClientException {
+		pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES));
+		pQuery = new CQLQuery(this.getStringParameterValue(TXMPreferences.QUERY));
+		pStructuralUnitLimit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT));
+		return true;
+	}
+
 	/**
 	 * Prints the.
 	 */
@@ -784,10 +971,29 @@
 			System.out.println(line.resume("\t", "")); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
+	@Override
+	public boolean saveParameters() {
+		this.saveParameter(TXMPreferences.UNIT_PROPERTIES, Property.propertiesToString(this.pProperties));
+
+		if (pQuery != null) {
+			this.saveParameter(TXMPreferences.QUERY, pQuery.getQueryString());
+		}
+
+		if (pStructuralUnitLimit != null) {
+			this.saveParameter(CooccurrencePreferences.STRUCTURAL_UNIT_LIMIT, this.pStructuralUnitLimit.getName());
+		}
+
+		return true;
+	}
+
 	public void setCoocQuery(String q) {
 		pCooccurentQueryFilter = q;
 	}
 
+	public void setIncludeXpivot(boolean b) {
+		pIncludeXpivot = b;
+	}
+
 	/**
 	 * Sets the max left.
 	 *
@@ -841,10 +1047,6 @@
 		this.buildLexicalTableWithCooccurrents = buildLexicalTableWithCooccurrents;
 	}
 
-	public void setIncludeXpivot(boolean b) {
-		pIncludeXpivot = b;
-	}
-
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		try {
@@ -888,6 +1090,15 @@
 		return true;
 	}
 
+	/**
+	 * Sets the query.
+	 * 
+	 * @param query
+	 */
+	public void setQuery(CQLQuery query) {
+		this.pQuery = query;
+	}
+
 	public void setReferenceCorpus(String symbol) {
 		referenceCorpus = symbol;
 	}
@@ -1448,30 +1659,6 @@
 		return toTxt(outfile, encoding, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
-	/**
-	 * To txt.
-	 *
-	 * @param outfile the outfile
-	 * @param encoding the encoding
-	 * @param colseparator the colseparator
-	 * @param txtseparator the txtseparator
-	 * @return true, if successful
-	 */
-	@Override
-	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
-		try {
-			// NK: writer declared as class attribute to perform a clean if the operation is interrupted
-			this.writer = new BufferedWriter(new OutputStreamWriter(
-					new FileOutputStream(outfile), encoding));
-			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
-			toTxt(writer, colseparator, txtseparator);
-		}
-		catch (Exception e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, e));
-			return false;
-		}
-		return true;
-	}
 
 	/**
 	 * To txt.
@@ -1502,201 +1689,4 @@
 	}
 
 
-	/**
-	 * Sets the query.
-	 * 
-	 * @param query
-	 */
-	public void setQuery(CQLQuery query) {
-		this.pQuery = query;
-	}
-
-	/**
-	 * Creates a CQL query string from the specified lines.
-	 *
-	 * @param lines
-	 * @return the query
-	 */
-	public String createQuery(List<CLine> lines) {
-
-		if (this.getQuery().isEmpty()) {
-			return ""; //$NON-NLS-1$
-		}
-
-
-		int nbProps = this.getProperties().size();
-		List<WordProperty> props = this.getProperties();
-
-		String query = "@["; //$NON-NLS-1$
-		for (int p = 0; p < nbProps; p++) {
-
-			if (props.get(p) instanceof WordProperty) {
-				ArrayList<String> values = new ArrayList<String>();
-				for (int l = 0; l < lines.size(); l++) {
-					CLine line = lines.get(l);
-					String s = line.props.get(p);
-					values.add(s);
-				}
-				String test = ((WordProperty)props.get(p)).getCQLTest(values);
-				if (test != null) {
-					query += test;
-				}
-			}
-			if (p < nbProps-1) {
-				query += " & "; //$NON-NLS-1$
-			}
-		}
-		query += "] "; //$NON-NLS-1$
-
-		int maxempan = Math.max(this.getMaxLeft(), this.getMaxRight());
-		if (this.getIncludeXPivot() && maxempan == 0) maxempan = 1;
-
-		String maxempanstr = "within " + maxempan + " "; //$NON-NLS-1$ //$NON-NLS-2$
-		if (this.getStructuralUnitLimit() != null) maxempanstr += this.getStructuralUnitLimit().getName();
-
-
-		String pquery = CQLQuery.fixQuery(this.getQuery().getQueryString());
-		if (this.getMaxLeft() == 0) {
-			query = "" + pquery + " []* " + query + " " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		}
-		else if (this.getMaxRight() == 0) {
-			query = "" + query + " []* " + pquery + " " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		}
-		else {
-			query = "(" + pquery + " []* " + query + ") | (" + query + " []* " + pquery + ") " + maxempanstr; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-		}
-
-		return query;
-	}
-
-
-	/**
-	 * The Class CLine.
-	 */
-	public class CLine {
-
-		/** The cooc. */
-		Cooccurrence cooc;
-
-		/** The distmoyenne. */
-		public float distmoyenne;
-
-		/** The freq. */
-		public int freq;
-
-		/** The id. */
-		public int id;
-
-		/** The mode. */
-		public long mode;
-
-		/** The nbocc. */
-		public int nbocc;
-
-		/** The occ. */
-		public String occ;
-
-		/** The props. */
-		public List<String> props;
-
-		/** The score. */
-		public double score;
-
-		/**
-		 * Instantiates a new c line.
-		 *
-		 * @param cooc the cooc
-		 * @param occ the occ
-		 * @param props the props
-		 * @param nbocc the nbocc
-		 * @param freq the freq
-		 * @param score the score
-		 * @param distmoyenne the distmoyenne
-		 * @param mode the mode
-		 */
-		public CLine(Cooccurrence cooc, String occ, List<String> props,
-				int nbocc, int freq, double score, Float distmoyenne, long mode) {
-			this.occ = occ;
-			this.props = props;
-			this.freq = freq;
-			this.nbocc = nbocc;
-			this.score = score;
-			this.distmoyenne = distmoyenne;
-			this.mode = mode;
-			this.cooc = cooc;
-		}
-
-		/**
-		 * Adds the txt sep.
-		 *
-		 * @param str the str
-		 * @param sep the sep
-		 * @return the string
-		 */
-		private String addTxtSep(String str, String sep) {
-			return sep + str.replace(sep, sep + sep) + sep;
-		}
-
-		/**
-		 * Gets the cooc.
-		 *
-		 * @return the cooc
-		 */
-		public Cooccurrence getCooc() {
-			return cooc;
-		}
-
-		/**
-		 * Resume.
-		 *
-		 * @param colseparator the colseparator
-		 * @param txtseparator the txtseparator
-		 * @return the string
-		 */
-		public String resume(String colseparator, String txtseparator) {
-			return addTxtSep("" + occ, txtseparator) //$NON-NLS-1$
-					+ colseparator + freq + colseparator + nbocc + colseparator + score + colseparator + distmoyenne;
-		}
-
-		/**
-		 * Sets the count and dist.
-		 *
-		 * @param count the count
-		 * @param dist the dist
-		 */
-		public void setCountAndDist(int count, int dist) {
-			this.nbocc = count;
-			this.distmoyenne = dist;
-		}
-
-		/**
-		 * Sets the freq.
-		 *
-		 * @param freq the new freq
-		 */
-		public void setFreq(int freq) {
-			this.freq = freq;
-		}
-
-		/**
-		 * Sets the score.
-		 */
-		public void setScore() {// FB == freq, R = nbocc
-			this.score = (this.nbocc + this.freq + this.distmoyenne);
-		}
-
-		@Override
-		public String toString() {
-			return occ + CooccurrenceCoreMessages.fColon + freq + CooccurrenceCoreMessages.occColon + nbocc + CooccurrenceCoreMessages.scoreColon + score + CooccurrenceCoreMessages.meanDistColon
-					+ distmoyenne + CooccurrenceCoreMessages.propertiesColon + props;
-		}
-	}
-
-
-	@Override
-	public String getResultType() {
-		return CooccurrenceCoreMessages.RESULT_TYPE;
-	}
-
-
 }
